// ===============================================
// CSCI 3230 Data Structures
// Instructor: Weitian Tong, Ph.D.
//
// Coding Quiz 
//
// =============================================== Requirements
// Implement the quick sort based on the provided template. 

// The output should be:

// Before quickSort: []
// After quickSort:  []

// Before quickSort: [1]
// After quickSort:  [1]

// Before quickSort: [1, 2, 3, 4, 5, 6]
// After quickSort:  [1, 2, 3, 4, 5, 6]

// Before quickSort: [6, 5, 4, 3, 2, 1]
// After quickSort:  [1, 2, 3, 4, 5, 6]

// Before quickSort: [3, 5, 2, 4, 1, 9, 10, 12, 11, 8, 7, 6]
// After quickSort:  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12]

// Before inPlaceQuickSort: []
// After inPlaceQuickSort:  []

// Before inPlaceQuickSort: [a]
// After inPlaceQuickSort:  [a]

// Before inPlaceQuickSort: [g, c, f, e, d, b, a, a]
// After inPlaceQuickSort:  [a, a, b, c, d, e, f, g]
//
// =============================================== Note
//
//  1. DO NOT DELETE ANY COMMENT!!!
//  2. Modify the file name to "QuickSort.java" before compiling it.
//
// ===============================================

import java.util.ArrayList;

public class QuickSort<E extends Comparable<E>> {
  
  public static <E extends Comparable<E>> ArrayList<E> quickSort(ArrayList<E> s) {
    if(s.size() <= 1) {
      return s;
    }

    E pivot = s.get(0); 

    // COMPELTE THIS BLOCK



    return result;
  }

  public static <E extends Comparable<E>> void inPlaceQuickSort(
    ArrayList<E> A, int p, int r) {
    if (p < r) {
      int q = partition(A, p, r);
      inPlaceQuickSort(A, p, q - 1);
      inPlaceQuickSort(A, q + 1, r);
    }
  }
  public static <E extends Comparable<E>> int partition(
    ArrayList<E> A, int p, int r) {
    
    // COMPELTE THIS BLOCK


    return
  }

  public static void main(String[] args) {
    int[][] inttests = {
      {},
      {1},
      {1, 2, 3, 4, 5, 6},
      {6, 5, 4, 3, 2, 1},
      {3, 5, 2, 4, 1, 9, 10, 12, 11, 8, 7, 6},
    };
    for (int[] test : inttests) {
      ArrayList<Integer> input = new ArrayList<>();
      for (int element : test) {
        input.add(element);
      }
      System.out.println("Before quickSort: " + input);
      ArrayList<Integer> output = quickSort(input);
      System.out.println("After quickSort:  " + output);
      System.out.println();
    }
    char[][] chartests = {
      {},
      {'a'},
      {'g', 'c', 'f', 'e', 'd', 'b', 'a', 'a'},
    };
    for (char[] test : chartests) {
      ArrayList<Character> input = new ArrayList<>();
      for (char element : test) {
        input.add(element);
      }
      System.out.println("Before inPlaceQuickSort: " + input);
      inPlaceQuickSort(input, 0, input.size()-1);
      System.out.println("After inPlaceQuickSort:  " + input);
      System.out.println();
    }
  }
}

