// ===============================================
// CSCI 3230 Data Structures
// Instructor: Weitian Tong, Ph.D.
//
// Coding Quiz 3
//
// =============================================== Requirements
// Use doubly linked list to implement a stack. 
// Please complete MyLinkedStack class.  
//
// The output should be:
// 
//         Test MyLinkedStack:.....
//         (1, 2, 3, 4, 5)
//         top: 1   size: 5
//         (2, 3, 4, 5)
//         top: 2   size: 4
//         (3, 4, 5)
//         top: 3   size: 3
//
// =============================================== Note
//
//  1. DO NOT DELETE ANY COMMENT!!!
//  2. You will need the solution from CQ2, which implements the MyDoublyLinkedList Class. 
//  3. Modify the file name to "MyLinkedStack.java" before compiling it.
//
// ===============================================

public class MyLinkedStack<E> {
  // ------------------ Data field
  public MyDoublyLinkedList<E> list;  

  // ------------------ Method field
  public MyLinkedStack() { 
    this.list = new MyDoublyLinkedList<>();  
  }                  

  public int size() { 
    // Complete this block
    
  }
  public boolean isEmpty() { 
    return list.isEmpty(); 
  }
  public void push(E element) { 
    // Complete this block

  }
  public E top() { 
    return list.first(); 
  }
  public E pop() { 
    // Complete this block

  }

  public String toString() {
    return list.toString();
  }


  public static void main(String[] args) {
    System.out.println("Test MyLinkedStack:.....");
    // MyDoublyLinkedList<Integer> list = new MyDoublyLinkedList<Integer>();
    MyLinkedStack<Integer> myStack = new MyLinkedStack<Integer>();
    myStack.push(5);
    myStack.push(4);
    myStack.push(3);
    myStack.push(2);
    myStack.push(1);
    System.out.println(myStack.toString()); 
    System.out.println("top: " + myStack.top() + "   size: " + myStack.size()); 

    myStack.pop();
    System.out.println(myStack.toString()); 
    System.out.println("top: " + myStack.top() + "   size: " + myStack.size()); 


    myStack.pop();
    System.out.println(myStack.toString()); 
    System.out.println("top: " + myStack.top() + "   size: " + myStack.size()); 
  }
}




